# Search for first entry bigger than number in a sorted 
# array of lists of length 2:
def binary_search(number, array, lo, hi):
 
    if hi < lo: return array[lo]       # no more numbers
    mid = (lo + hi) // 2        # midpoint in array
    if number == array[mid][0]:
        return array[mid]                  # number found here
    elif number < array[mid][0]:
        # try left of here
        return binary_search(number, array, lo, mid - 1)     
    else:
        # try above here
        return binary_search(number, array, mid + 1, hi)     

